Retrieve changes
curl --request GET \
--url https://api.hubapi.com/commerce/contracts/2027-03-beta/contracts/{contractId}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/contracts/2027-03-beta/contracts/{contractId}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/contracts/2027-03-beta/contracts/{contractId}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"contractId": "<string>",
"id": "<string>",
"lineItemChanges": [
{
"action": "ADD",
"rampKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineItemAdd": {
"mode": "CUSTOM",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"quantity": 123,
"allowBuyerSelectedQuantity": true,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingFrequency": "ANNUALLY",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"variantId": "<string>"
},
"lineItemUpdate": {
"allowBuyerSelectedQuantity": {},
"billingCycleAnchorDate": {},
"billingStartDelayDays": {},
"billingStartDelayMonths": {},
"buyerSelectedQuantityMax": {},
"buyerSelectedQuantityMin": {},
"description": {},
"discount": {},
"discountPercentage": {},
"externalId": {},
"images": {},
"isEditablePrice": {},
"isOptional": {},
"lineItemCurrencyCode": {},
"name": {},
"positionOnQuote": {},
"priceBookId": {},
"pricing": {},
"productType": {},
"quantity": {},
"recurringBillingEndDate": {},
"recurringBillingFrequency": {},
"recurringBillingPeriod": {},
"recurringBillingStartDate": {},
"richTextDescription": {},
"sku": {},
"taxCategory": {},
"taxRateGroupId": {},
"variantId": {}
}
}
],
"prorating": true,
"status": "ACCEPTED",
"type": "DIRECT",
"createdAt": "2023-11-07T05:31:56Z",
"effectiveDate": "2023-12-25",
"name": "<string>",
"quoteId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Changes
Retrieve changes
Retrieve the changes associated with a specific contract in your HubSpot account. This endpoint allows you to view all modifications made to a contract, which can be useful for tracking contract history and understanding the evolution of contract terms.
GET
/
commerce
/
contracts
/
2027-03-beta
/
contracts
/
{contractId}
/
changes
Retrieve changes
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the contract for which changes are being retrieved.
Response
successful operation
An array of contract change summaries. Each item in the array provides details about a specific change made to the contract, represented by the ContractChangeSummaryResponse schema.
Show child attributes
Show child attributes
Last modified on September 9, 2026
Was this page helpful?